Busca uma loja vinculada pelo identificador
curl --request GET \
--url https://homolog.clubfix.com.br/webservice/shopkeepers/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://homolog.clubfix.com.br/webservice/shopkeepers/{id}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://homolog.clubfix.com.br/webservice/shopkeepers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://homolog.clubfix.com.br/webservice/shopkeepers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://homolog.clubfix.com.br/webservice/shopkeepers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://homolog.clubfix.com.br/webservice/shopkeepers/{id}")
.header("Accept", "<accept>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://homolog.clubfix.com.br/webservice/shopkeepers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 2,
"trading_name": "Exclusiva mobile celulares",
"registration_number": "97548760000170",
"matrix": true,
"responsible": {
"name": "Eder Andre Kaghofer",
"registration_number": "03379402907",
"identity_card": "",
"phone": "46999177399",
"email": "ederk42@hotmail.com",
"role": "proprietário"
},
"address": {
"street": "av julio assis cavalheiro",
"number": "925",
"complement": "loja 01",
"zipcode": "85601000",
"neighborhood": null,
"city": "Francisco Beltrão",
"state": "PR"
},
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/shopkeepers/2"
}
}Lojistas
Busca uma loja vinculada pelo identificador
Este recurso é paginável.
GET
/
shopkeepers
/
{id}
Busca uma loja vinculada pelo identificador
curl --request GET \
--url https://homolog.clubfix.com.br/webservice/shopkeepers/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://homolog.clubfix.com.br/webservice/shopkeepers/{id}"
headers = {
"Accept": "<accept>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Accept: '<accept>', Authorization: 'Bearer <token>'}};
fetch('https://homolog.clubfix.com.br/webservice/shopkeepers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://homolog.clubfix.com.br/webservice/shopkeepers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Accept: <accept>",
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://homolog.clubfix.com.br/webservice/shopkeepers/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Accept", "<accept>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://homolog.clubfix.com.br/webservice/shopkeepers/{id}")
.header("Accept", "<accept>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://homolog.clubfix.com.br/webservice/shopkeepers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Accept"] = '<accept>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 2,
"trading_name": "Exclusiva mobile celulares",
"registration_number": "97548760000170",
"matrix": true,
"responsible": {
"name": "Eder Andre Kaghofer",
"registration_number": "03379402907",
"identity_card": "",
"phone": "46999177399",
"email": "ederk42@hotmail.com",
"role": "proprietário"
},
"address": {
"street": "av julio assis cavalheiro",
"number": "925",
"complement": "loja 01",
"zipcode": "85601000",
"neighborhood": null,
"city": "Francisco Beltrão",
"state": "PR"
},
"meta": {
"link": "https://homolog.clubfix.com.br/webservice/shopkeepers/2"
}
}string
required
Corresponde ao ID da loja que você deseja obter. Este ID é único para cada loja e pode ser encontrado na listagem de lojas.
string
Corresponde à página que você deseja exibir os dados.
string
Altera a quantidade de itens devolvidos em uma requisição.
string
Permite incluir dados relacionados na resposta. Exemplo:
address,responsible.string
required
Deve ser definido como
application/json.string
required
Token de autenticação do tipo Bearer obtido através do endpoint de login.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Was this page helpful?
